summaryrefslogtreecommitdiff
path: root/dev-php/PEAR-Console_CommandLine
diff options
context:
space:
mode:
Diffstat (limited to 'dev-php/PEAR-Console_CommandLine')
-rw-r--r--dev-php/PEAR-Console_CommandLine/Manifest1
-rw-r--r--dev-php/PEAR-Console_CommandLine/PEAR-Console_CommandLine-1.2.2.ebuild53
-rw-r--r--dev-php/PEAR-Console_CommandLine/metadata.xml13
3 files changed, 67 insertions, 0 deletions
diff --git a/dev-php/PEAR-Console_CommandLine/Manifest b/dev-php/PEAR-Console_CommandLine/Manifest
new file mode 100644
index 000000000000..08a0a05aec75
--- /dev/null
+++ b/dev-php/PEAR-Console_CommandLine/Manifest
@@ -0,0 +1 @@
+DIST Console_CommandLine-1.2.2.tgz 40705 BLAKE2B 1cf2fd7ffdafe1b6e683d40e24c07bc12c9e41469e42595f40778f0bfef30457b32f80b966835a690724e29216348be0fb3f98a83947459d48f728896a5a056a SHA512 05dbde123d0d4fdbba2a959f4bea3b115e3629060a268d25a3007c2ee5a3530b8ebbd8c7d124a6c9d012cafa19f41690a888943a6c1e2e5ec1b9d83fa821d603
diff --git a/dev-php/PEAR-Console_CommandLine/PEAR-Console_CommandLine-1.2.2.ebuild b/dev-php/PEAR-Console_CommandLine/PEAR-Console_CommandLine-1.2.2.ebuild
new file mode 100644
index 000000000000..d3788c8cdeb3
--- /dev/null
+++ b/dev-php/PEAR-Console_CommandLine/PEAR-Console_CommandLine-1.2.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PN="${PN/PEAR-/}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A full-featured command-line options and arguments parser"
+HOMEPAGE="https://pear.php.net/package/Console_CommandLine"
+SRC_URI="http://download.pear.php.net/package/${MY_P}.tgz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm hppa ~ia64 ppc ppc64 sparc x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+# Only needs PEAR_Exception (not yet packaged) -- not all of PEAR-PEAR.
+RDEPEND="dev-lang/php:*
+ dev-php/PEAR-PEAR"
+
+# Beware, the test suite really needs PEAR-PEAR.
+DEPEND="test? ( ${RDEPEND} )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ # There's one occurrence of @data_dir@ that needs to be replaced
+ # This location just has to agree with where we put the "data"
+ # directory during src_install().
+ default
+ sed -i "s|@data_dir@|${EPREFIX}/usr/share|" \
+ Console/CommandLine/XmlParser.php || die
+}
+
+src_install() {
+ use examples && dodoc -r docs/examples
+
+ insinto "/usr/share/${MY_PN}"
+ doins -r data
+
+ insinto /usr/share/php
+ doins -r Console
+}
+
+src_test() {
+ # Requires the "pear" executable from dev-php/PEAR-PEAR.
+ pear run-tests tests || die
+
+ # The command succeeds regardless of whether or not the test suite
+ # passed, but this file is only written when there was a failure.
+ [[ -f run-tests.log ]] && die "test suite failed"
+}
diff --git a/dev-php/PEAR-Console_CommandLine/metadata.xml b/dev-php/PEAR-Console_CommandLine/metadata.xml
new file mode 100644
index 000000000000..dbb5af8423e3
--- /dev/null
+++ b/dev-php/PEAR-Console_CommandLine/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>php-bugs@gentoo.org</email>
+ <name>PHP</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">pear/Console_CommandLine</remote-id>
+ <remote-id type="pear">Console_CommandLine</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>